- Qt 5.0
- Qt 5.0.0 Reference Documentation

# RecurrenceRule QML Type

The RecurrenceRule element represents a rule by which a organizer item repeats. More...

Import Statement: | import QtOrganizer 5.0

- List of all members, including inherited members

## Properties

- daysOfMonth : list<variant>
- daysOfWeek : list<variant>
- daysOfYear : list<variant>
- firstDayOfWeek : enumeration
- frequency : enumeration
- interval : int
- limit : variant
- monthsOfYear : list<int>
- positions : list<int>
- weeksOfYear : list<int>

## Signals

- onRecurrenceRuleChanged()

## Detailed Description

## Property Documentation

daysOfMonth : list<variant>

This property holds a list of the days of the month that the item should recur on.

daysOfWeek : list<variant>

This property holds a list of the days of week that the item should recur on.

daysOfYear : list<variant>

This property holds a list of the days of the year that the item should recur on.

firstDayOfWeek : enumeration

This property holds the day that the week starts on. If not set, this is Monday. The value can be one of:

- Qt.Monday
- Qt.Tuesday
- Qt.Wednesday
- Qt.Thursday
- Qt.Friday
- Qt.Saturday
- Qt.Sunday

frequency : enumeration

This property holds the frequency with which the item recurs, the value can be one of:

- RecurrenceRule.Invalid - (default).
- RecurrenceRule.Daily
- RecurrenceRule.Weekly
- RecurrenceRule.Monthly
- RecurrenceRule.Yearly

interval : int

This property holds the interval of recurrence. The default interval is 1.

limit : variant

This property holds the limit condition of the recurrence rule, the value can be a limit date and time or a limit count. The default is no limit.

monthsOfYear : list<int>

This property holds a list of the months that the item should recur on, the list element value can be one of:

- RecurrenceRule.January
- RecurrenceRule.February
- RecurrenceRule.March
- RecurrenceRule.April
- RecurrenceRule.May
- RecurrenceRule.June
- RecurrenceRule.July
- RecurrenceRule.August
- RecurrenceRule.September
- RecurrenceRule.October
- RecurrenceRule.November
- RecurrenceRule.December

positions : list<int>

This property holds the position-list of the recurrence rule.

weeksOfYear : list<int>

This property holds a list of the weeks of the year that the item should recur on.

## Signal Documentation

onRecurrenceRuleChanged()

This signal is emitted, when any of the RecurrenceRule's properties have been changed.

Note: The corresponding handler is `onOnRecurrenceRuleChanged`.